<template>
	<el-main class="tabsMain">
		<el-tabs tab-position="top" class="tabsPadding" v-model="tabsTrue" @tab-change="tabsChange">
			<el-tab-pane label="出货清单" name="list">
				<list v-if="tabsTrue == 'list'"></list>
			</el-tab-pane>

			<el-tab-pane label="装箱清单" name="bom">
				<bom v-if="tabsTrue == 'bom'"></bom>
			</el-tab-pane>
		</el-tabs>
	</el-main>
</template>

<script>
import list from './list'
import bom from './bom'

export default {
	name: 'shipmentList',
	components: {
		list,
		bom
	},
	data() {
		return {
			size:'small',
			tabsTrue:'list',

			routerList: this.$store.state.global.docsRouter,
			shareList: this.$store.state.global.shareRouter,
		}
	},
	methods: {
		tabsChange(){
			let arrList = [{name:'我的文档',id:''}];
			this.$store.commit("SET_docs_router", arrList);
			this.$store.commit("SET_share_router", arrList);
		}
	}
}
</script>

<style lang="scss" scoped>

</style>
